%define  oname kdb
%define rel 3

Name:           kdb
Version:        3.0.0
Release:        %mkrel %rel
Summary:        A database connectivity and creation framework for various database vendors
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            http://www.kexi-project.org/
Source0:        http://download.kde.org/stable/%{oname}/%{version}/%{oname}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  mysql-devel
BuildRequires:  pkgconfig(libpq) >= 9.5
BuildRequires:  pkgconfig(sqlite3) >= 3.6.16

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  icu-devel

%description
A database connectivity and creation framework for various database vendors.

%files  -f %name.lang
%_kf5_bindir/kdb3_sqlite3_dump
%_qt5_plugindir/kdb3/kdb_sqlitedriver.so
%_qt5_plugindir/kdb3/kdb_mysqldriver.so
%_qt5_plugindir/kdb3/kdb_postgresqldriver.so
%_qt5_plugindir/kdb3/sqlite3/kdb_sqlite_icu.so

#--------------------------------------------------------------------

%define kdb_major 3
%define libkdb %mklibname kdb3_ %{kdb_major}

%package -n %libkdb
Summary:        A database connectivity and creation framework for various database vendors
Group:          System/Libraries

%description -n %libkdb
A database connectivity and creation framework for various database vendors.

%files -n %libkdb
%_kf5_libdir/libKDb3.so.%{kdb_major}*

#--------------------------------------------------------------------

%define kdb3_devel %mklibname kdb3 -d

%package -n %kdb3_devel
Summary:        Development files for %{oname}
Group:          Development/KDE and Qt
Requires:       %libkdb = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %version-%release
Provides:       kdb3-devel = %version-%release

%description -n %kdb3_devel
The %{kdb3_devel} package contains libraries and header files for
developing applications that use %{oname}.

%files -n %kdb3_devel
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_KDb3.pri
%_includedir/KDb3
%_kf5_libdir/cmake/KDb3
%_kf5_libdir/pkgconfig/KDb3.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang --all %name


%changelog
* Wed Mar 15 2017 mrambo3501 <mrambo3501> 3.0.0-3.mga6
+ Revision: 1092703
- Rebuild for icu-58.2

* Thu Dec 22 2016 daviddavid <daviddavid> 3.0.0-2.mga6
+ Revision: 1076479
- enable MySQL and PostgreSQL support

* Thu Dec 22 2016 neoclust <neoclust> 3.0.0-1.mga6
+ Revision: 1076363
- imported package kdb

